.timestamp_inspectionjobmanager_wrapper{   
    width: 100%;
    height: 100%;
/*    z-index: 10; */
}

.timestamp_inspectionjobmanager_wrapper table{
    display:  table;
}

.timestamp_inspectionjobmanager_wrapper table div.timestamp_open_inspectionjob:hover{
    cursor: pointer;
}

.timestamp_inspectionjobmanager_datasection{
    height: calc(100% - 40px - 20px - 20px);
    background-color: whitesmoke;
    margin: 20px 20px 0px 20px;
    border-left: 1px solid #6c87385c;
    border-right: 1px solid #6c87385c;    
    overflow: auto;
    position: relative;
}

.timestamp_job_progressbar{
    margin-left: 5px;
    margin-right: 5px;
    width: calc(100% - 10px);
    /* max-width: 50px; */
    position: relative;
    display: block;
}

.timestamp_inspectionjobmanager_datasection td, 
.timestamp_inspectionjobmanager_datasection th, 
.timestamp_inspectionjobmanager_datasection tr, 
.timestamp_inspectionjobmanager_datasection table {

/*    border: 0px #000 solid;*/
    border-collapse: collapse;
    text-align: left;

}

.timestamp_inspectionjobmanager_datasection tr{
    max-height: 27px;
    height: 27px;
    min-height: 27px;
}

.timestamp_inspectionjobmanager_datasection tr td > div{
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.timestamp_inspectionjobmanager_datasection tr td div.timestamp_jobstate{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
}

.timestamp_inspectionjobmanager_datasection tr td div.timestamp_jobstate div{
    font-family: Calibri, Helvetica, sans-serif;
    padding-left: 8px;
}

.timestamp_inspectionjobmanager_datasection tr td div.timestamp_jobstate.timestamp_jobstate_incomplete{
    color: grey;
}  

.timestamp_inspectionjobmanager_datasection tr td div.timestamp_jobstate.timestamp_jobstate_failed{
    color: red;
}  

.timestamp_inspectionjobmanager_datasection tr td div.timestamp_jobstate.timestamp_jobstate_created,
.timestamp_inspectionjobmanager_datasection tr td div.timestamp_jobstate.timestamp_jobstate_taken,
.timestamp_inspectionjobmanager_datasection tr td div.timestamp_jobstate.timestamp_jobstate_done
{
    color: #6c8738;
}


.timestamp_inspectionjobmanager_datasection tbody td div.timestamp_open_inspectionjob{
    margin: auto;
    /*
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: center;
    align-content: space-around;
    
    min-width: 24px;
    min-height: 24px;
    max-width: 24px;
    max-height: 24px;
    border: 1px solid #6c8738;
    margin: 0px 2px 0px 2px;
    color: #6c8738;
    background-color: #b4d2db;*/
}  

/*
.timestamp_inspectionjobmanager_datasection tbody td div.timestamp_open_inspectionjob:hover{
    cursor: pointer;  
    color: #f5ffda;
    background-color: #6c8738;
}    
*/


.timestamp_jobloaderprogress {
  width: 100%;
  height: 100%;
  position: absolute;
  display: flex;  
  justify-content: center;
  align-items: center;
/*  padding-left: 10%;*/
  background-color: #ffffff6b;
  top: 0px;
}

.timestamp_inspectionjobmanager_globaldatasectioncontrol{    
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: center;
    align-content: space-around;
    
    height: 40px;
    margin: 0px 20px 20px 20px;
    width: calc(100% - 20px - 20px);
    background-color: #b4d2db;    
    border-left: 1px solid #6c87385c;
    border-right: 1px solid #6c87385c;    
    border-bottom: 1px solid #6c87385c;  
    
}

.timestamp_button {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: center;
    align-content: space-around;
    min-width: 24px;
    min-height: 24px;
    max-width: 24px;
    max-height: 24px;
    border: 1px solid #edf4f8;
    margin: 0px 2px 0px 2px;
    color: whitesmoke;    
    box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.2);
    background-color: #3d7493;
    background-image: -webkit-gradient(linear,left top, left bottom, color-stop(0, #6fa4c3), color-stop(1, #3c7393));
    background-image: -o-linear-gradient(bottom, #6fa4c3 0%, #3c7393 100%);
    background-image: -moz-linear-gradient(bottom, #6fa4c3 0%, #3c7393 100%);
    background-image: -webkit-linear-gradient(bottom, #6fa4c3 0%, #3c7393 100%);
    background-image: -ms-linear-gradient(bottom, #6fa4c3 0%, #3c7393 100%);
    background-image: linear-gradient(to bottom, #6fa4c3 0%, #3c7393 100%);
}

.timestamp_button.deactivated{
    color: #cccccc;
    border-color: whitesmoke;
    background-color: whitesmoke;    
    box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.2);
    background-image: -webkit-gradient(linear,left top, left bottom, color-stop(0, #9c9c9c), color-stop(1, #6f6f6f));
    background-image: -o-linear-gradient(bottom, #9c9c9c 0%, #6f6f6f 100%);
    background-image: -moz-linear-gradient(bottom, #9c9c9c 0%, #6f6f6f 100%);
    background-image: -webkit-linear-gradient(bottom, #9c9c9c 0%, #6f6f6f 100%);
    background-image: -ms-linear-gradient(bottom, #9c9c9c 0%, #6f6f6f 100%);
    background-image: linear-gradient(to bottom, #9c9c9c 0%, #6f6f6f 100%);    
    
}

.timestamp_input.timestamp_cur_table_page input{
    text-align: center;
    width: 100px;
    margin-left: 4px;
    margin-right: 4px;    
}

.timestamp_input.timestamp_cur_table_page > label:last-child{
    margin-left: 4px;
}

.timestamp_button.timestamp_button_inspectionjob_submit{
    max-width: 500px !important;
    padding-left: 10px;
    padding-right: 10px;
}

.timestamp_button:hover {
    cursor: pointer;  
    color: #eef4f6;
    box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.2);
    border-color: #3d7493;
    background-color: #3d7493;
    background-image: -webkit-gradient(linear,left top, left bottom, color-stop(0, #4b8db4), color-stop(1, #2c556d));
    background-image: -o-linear-gradient(bottom, #4b8db4 0%, #2c556d 100%);
    background-image: -moz-linear-gradient(bottom, #4b8db4 0%, #2c556d 100%);
    background-image: -webkit-linear-gradient(bottom, #4b8db4 0%, #2c556d 100%);
    background-image: -ms-linear-gradient(bottom, #4b8db4 0%, #2c556d 100%);
    background-image: linear-gradient(to bottom, #4b8db4 0%, #2c556d 100%);
}  

.timestamp_button.deactivated:hover {
    cursor: default;
    color: #cccccc;
    border-color: whitesmoke;
    background-color: whitesmoke;    
    box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.2);
    background-image: -webkit-gradient(linear,left top, left bottom, color-stop(0, #9c9c9c), color-stop(1, #6f6f6f));
    background-image: -o-linear-gradient(bottom, #9c9c9c 0%, #6f6f6f 100%);
    background-image: -moz-linear-gradient(bottom, #9c9c9c 0%, #6f6f6f 100%);
    background-image: -webkit-linear-gradient(bottom, #9c9c9c 0%, #6f6f6f 100%);
    background-image: -ms-linear-gradient(bottom, #9c9c9c 0%, #6f6f6f 100%);
    background-image: linear-gradient(to bottom, #9c9c9c 0%, #6f6f6f 100%);    
}  

.timestamp_inspectionjob_view_result_wrapper table th.ts_internmetadata{
    background-color: #d4dbdd;
    color: #5b869e;
}

.timestamp_inspectionjob_view_result_wrapper table td.ts_internmetadata{
    color: #63686b;
}

.timestamp_inspectionjob_view_result_wrapper tbody td > div{
    max-height: 50px;
    display: block;
    text-overflow: ellipsis;
    white-space: nowrap;
    height: 30px;
}

.timestamp_inspectionjob_view_result_wrapper tbody td.ts_column_asdeleted{
    color: #797979;
    background-color: #e8e8e8;
    
}
